MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000057VCMIGUI - Adventure Mappublic2009-10-03 13:192013-12-24 09:50
ReporterWarmonger 
Assigned ToTow 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.74 
Target VersionFixed in Version0.88 
Summary0000057: Scrolling map & hoover tooltip during AI turn
DescriptionAs in Summary.
TagsNo-harm enhancement
Attached Files

- Relationships
has duplicate 0001632assignedSXX Interactive waiting for AI 

-  Notes
(0001459)
Zamolxis (viewer)
2010-12-12 01:08

Does this refer to a H3 feature or (more likely, b/c you mention 'hover') is it actually a new feature request?

If the latter, how do you expect it to work exactly? I for one prefer to see AI's moves during their turn. The only case when I would see this useful, would be in Multiplayer, during opponent's battles.
(0002170)
Warmonger (administrator)
2012-02-14 20:39

GUI appears functional during enemy turn in new AI (r2532).
(0003017)
Zamolxis (viewer)
2012-09-19 00:04

I'm still not sure what you mean by 'tooltip during AI turn' - as I don't see any - but if you're confident there is no issue related, I guess we can close this (pls say if otherwise).
(0003019)
Warmonger (administrator)
2012-09-19 05:12

It should be possible to scroll map and get tooltip info about map objects during enemy turn, IMO. Right now we just follow enemy hero, at most.

This issue was more significant in first AI, when turns took VERY long.
(0003020)
Zamolxis (viewer)
2012-09-19 21:08

I guess it would be quite difficult to implement it as such that we still see the AI / human opponent moves on the map, while we scroll where we want and r-click on object, etc.

Perhaps a decent compromise would be to give the player the choice between seeing the Enemy moves if one of the first 3 Enemy Speed settings is selected from System Options, or the possibility to scout own tows/heroes, maybe even get tooltip info about map objects, if the 4th option is selected ("Do not show enemy movement"), but in that case the revealed map could be somehow blurred, and player will not see the others move their turn, but would be able to r-click objects or open hero/town screens, quest log, puzzle map, etc (unless/until is attacked by opponent).
(0003671)
Zamolxis (viewer)
2013-06-08 05:56
edited on: 2013-06-08 05:57

I guess this can be closed actually.

If necessary, we can open another feature request for actions we could do during opponent's turn - particularly useful when playing against human opponent.


- Issue History
Date Modified Username Field Change
2009-10-03 13:19 Warmonger New Issue
2009-11-21 13:17 Warmonger Category GUI - Other => GUI - Adventure Map
2010-05-29 19:19 Zamolxis Product Version => 0.74
2010-12-12 01:08 Zamolxis Note Added: 0001459
2010-12-12 01:08 Zamolxis Status new => feedback
2011-03-03 12:07 Zamolxis Tag Attached: No-harm enhancement
2012-02-14 20:37 Warmonger Status feedback => resolved
2012-02-14 20:38 Warmonger Resolution open => fixed
2012-02-14 20:38 Warmonger Assigned To => Tow
2012-02-14 20:38 Warmonger Status resolved => confirmed
2012-02-14 20:39 Warmonger Note Added: 0002170
2012-02-14 20:39 Warmonger Status confirmed => resolved
2012-02-14 20:39 Warmonger Fixed in Version => 0.89
2012-09-19 00:04 Zamolxis Note Added: 0003017
2012-09-19 05:12 Warmonger Note Added: 0003019
2012-09-19 21:08 Zamolxis Note Added: 0003020
2013-06-08 05:56 Zamolxis Note Added: 0003671
2013-06-08 05:56 Zamolxis Status resolved => closed
2013-06-08 05:57 Zamolxis Note Edited: 0003671 View Revisions
2013-12-24 09:50 Warmonger Relationship added has duplicate 0001632

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2022 MantisBT Team
Hosting provided by DigitalOcean